# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   Python1
# FileName:      read_json.py
# Author:       chenyao
# Datetime:     2025/3/12 18:51
# Description:
#
# ---------------------------------------------------------------------------
import json
import os.path

from Auto_TestV4 import log_decorator


@log_decorator
def ReadJson(file_path):
    """从json文件中获取数据"""
    if isinstance(file_path,str) and os.path.isfile(file_path) and file_path.endswith(".json"):
        with open(file_path,mode="r",encoding="utf-8") as f:
            return json.load(f)
    else:
        raise FileNotFoundError("未找到json文件或者传入路径错误")

if __name__ == '__main__':
    print(ReadJson(r"D:\PythonDoc\Python1\Auto_TestV4\data_config\case_data.json"))